Bug 230972 - GwenView does not refresh thumbnails on F5
Summary: GwenView does not refresh thumbnails on F5
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Unspecified
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-16 14:50 UTC by Roman
Modified: 2012-10-19 13:26 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman 2010-03-16 14:50:51 UTC
Version:            (using KDE 4.4.1)
Installed from:    openSUSE RPMs

1. Create image file on disk
2. Open Gwenview, also thumbnail bar
3. Change file on disk
4. Press F5 in Gwenview: the image is updated, the thumbnails bar is not


Probably watching for changes on disk would be also a nice feature.

Regards,
Roman
Comment 1 Tristan Miller 2010-03-28 16:35:18 UTC
Watching for changes on disk is Bug 131068 (at least insofar as it relates to full images).  I agree that watching for changes when in browse mode is also important.
Comment 2 Todd 2010-09-24 17:45:20 UTC
On 4.5.1 F5 not refreshing is also an issue with the gwenview browse mode, although that may be a separate bug.  It doesn't refresh the folder at all, so added or removed files are not updated on F5 either.
Comment 3 Tristan Miller 2011-05-31 14:12:21 UTC
Confirming bug still exists in Gwenview 2.6.0 (KDE 4.6.3).
Comment 4 Aurelien Gateau 2011-06-05 14:42:23 UTC
Git commit 9c95848297fa7b1057f103639a7de0d818f9bd3d by Aurélien Gâteau.
Committed on 05/06/2011 at 14:40.
Pushed by gateau into branch 'master'.

Force refresh of selected thumbnails when F5 is pressed.

BUG:230972

M  +1    -1    app/mainwindow.cpp     
M  +9    -0    app/thumbnailviewpanel.cpp     
M  +2    -0    app/thumbnailviewpanel.h     
M  +16   -0    lib/thumbnailview/thumbnailview.cpp     
M  +2    -0    lib/thumbnailview/thumbnailview.h     

http://commits.kde.org/gwenview/9c95848297fa7b1057f103639a7de0d818f9bd3d